SGET(9)

NAME
sget - find or create a superblock

SYNOPSIS

struct super_block * sget (struct file_system_type * type, int (*test) <funcparams>struct super_block *,void *</funcparams>, int (*set) <funcparams>struct super_block *,void *</funcparams>, void * data);

ARGUMENTS

type
    filesystem type superblock should belong to

test
    comparison callback

set setup callback

data
    argument to each of them